.page_note
  .comments_holder:not(.loading):not(.no_comments)
  .comments_loading_icon,
.page_note
  .comments_holder:not(.loading):not(.no_comments)
  .comments_no_comments_icon {
  opacity: 0;
  -webkit-transform: scale(1.4);
  -moz-transform: scale(1.4);
  transform: scale(1.4);
  visibility: hidden;
}
.page_note .comments_holder.no_comments .comments_loading_icon {
  display: none;
}
.page_note .comments_holder.no_comments .comments_no_comments_icon {
  display: block;
}
.page_note .comments_container {
  position: relative;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
  background: rgba(255, 255, 255, 1);
  flex: 1;
}
.page_note .comments_container::after {
  content: "";
  height: 80px;
  display: block;
}
.page_note .comments_container {
  --scrollbar: hsl(208, 23%, 88%);
  --scrollbarBackground: hsl(208, 23%, 100%);

  scrollbar-color: var(--scrollbarBackground) var(--scrollbar);
}
.page_note .comments_container::-webkit-scrollbar {
  width: 10px; /* Mostly for vertical scrollbars */
  height: 10px; /* Mostly for horizontal scrollbars */
}
.page_note .comments_container::-webkit-scrollbar-thumb {
  /* Foreground */
  background: var(--scrollbar);
  border-radius: 10px;
}
.page_note .comments_container::-webkit-scrollbar-track {
  /* Background */
  background: var(--scrollbarBackground);
}

@media screen and (max-width: 700px) {
  .page_note .comments_container {
    position: static;
    top: auto;
    left: auto;
    right: auto;
    bottom: auto;
    border-top: 1px solid #bec3c7;
    padding-top: 48px;
  }
  .page_note .comments_container::after {
    height: 160px;
  }
  .show_analytics .page_note .comments_container {
    padding-top: 0;
    border-top: none;
  }
}
.note_comment {
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  position: relative;
  padding: 8px 0 8px 10px;
  font-size: 14px;
}
.note_comment .comment_text {
  overflow-wrap: break-word;
  word-wrap: break-word;
}
.note_comment .comment_text a {
  overflow-wrap: break-word;
  word-wrap: break-word;

  -ms-word-break: break-all;
  /* This is the dangerous one in WebKit, as it breaks things wherever */
  word-break: break-all;
  /* Instead use this non-standard one: */
  word-break: break-word;
}
.device-browser-os-family-windows .note_comment {
  font-size: 15px;
}
.device-browser-os-family-windows .comment_text {
  color: #000;
}
.note_comment.animate_in {
  max-height: 500px;
  overflow: hidden;
  opacity: 1;
  -webkit-transition: 0.4s;
  -moz-transition: 0.4s;
  transition: 0.4s;
}
.note_comment.animate_in.off {
  max-height: 0;
  opacity: 0;
}
.note_comment .comment_text {
  color: #222;
}
.note_comment.tall > .comment_hover_area .comment_text {
  max-height: 7em;
  display: block;
  overflow: hidden;
  position: relative;
}
.note_comment.tall > .comment_hover_area .comment_text::after {
  content: "";
  text-align: right;
  position: absolute;
  bottom: 0;
  right: 0;
  width: 40%;
  height: 1.4em;
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0),
    rgba(255, 255, 255, 1) 50%
  );
}
.note_comment.tall.active > .comment_hover_area .comment_text::after {
  display: none;
}
.note_comment.tall.active > .comment_hover_area .comment_text {
  max-height: 100%;
}
.more_link {
  font-size: 11px;
  color: #98a4a5;
  margin-bottom: 10px;
  cursor: pointer;
  -webkit-transition: 0.2s;
  -moz-transition: 0.2s;
  transition: 0.2s;
  display: none;
}
.note_comment.tall > .comment_hover_area .more_link {
  display: block;
  color: #278dc1;
}
.more_link:hover {
  color: #278dc1;
  text-decoration: underline;
}
.note_comment.tall.active > .comment_hover_area .more_link .more {
  display: none;
}
.note_comment.tall:not(.active) > .comment_hover_area .more_link .less {
  display: none;
}
.more_link:active {
  -webkit-transform: scale(0.9);
  -moz-transform: scale(0.9);
  transform: scale(0.9);
}
.reply_box.show_reply_form .reply_link {
  opacity: 0;
  visibility: hidden;
}
.note_comment .comment_text_around {
  margin-left: 34px;
  margin-right: 8px;
}
.note_comment .comment_date {
  margin-right: 4px;
}
.note_comment .comment_proxies {
  margin-left: 4px;
}
.is_admin .note_comment .comment_proxies .comment_proxy_name {
  cursor: pointer;
}
.note_comment .comment_date_holder {
  display: flex;
  color: #828c8d;
  font-size: 11px;
  margin-left: 34px;
}
.note_comment .comment_author_name {
  font-weight: 400;
  margin-right: 2px;
  color: #15436a;
}
.note_comment .private_comment_indicator {
  color: #98a4a5;
  margin-right: 2px;
}
.is_admin .note_comment .comment_author_name {
  cursor: pointer;
}
.note_comment .comment_author_photo {
  width: 28px;
  height: 28px;
  position: absolute;
  left: 10px;
  right: 10px;
  border-radius: 3px;
  background-color: #384a5d;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}
.note_comment .comment_author_photo.no_photo {
  background-image: url(images/uno-white.svg);
  background-size: 20px;
}
.note_comment .delete_comment {
  position: absolute;
  top: 8px;
  right: 0;
  font-size: 16px;
  cursor: pointer;
  color: #828c8d;
  opacity: 0;
  -webkit-transition: 0.2s;
  -moz-transition: 0.2s;
  transition: 0.2s;
}
.note_comment:not(.deleting) .comment_hover_area:hover .delete_comment,
.note_comment.show_delete_confirmation:not(.deleting)
  > .comment_hover_area
  .delete_comment {
  right: 10px;
  opacity: 1;
}
.note_comment .delete_comment:hover {
  color: #f42434;
}
.note_comment .delete_comment:active {
  -webkit-transform: scale(0.8);
  -moz-transform: scale(0.8);
  transform: scale(0.8);
}
.note_comment.deleting .delete_comment {
  opacity: 0 !important;
  right: 10px !important;
}
.note_comment .top_right_spacing {
  width: 24px;
  float: right;
}

.note_comment .comment_cannot_notify {
  background: #f7f0b6;
  border: 1px solid #d5a223;
  color: #d5a223;
  padding: 6px 8px;
  margin-top: 4px;
  margin-right: 10px;
  font-size: 12px;
  border-radius: 5px;
  line-height: 15px;
}
.note_comment .comment_cannot_notify a {
  color: inherit !important;
  text-decoration: none;
  font-weight: 400;
}
.note_comment .comment_cannot_notify a:hover {
  text-decoration: underline;
}

.comment_replies_holder {
  margin-left: 6px;
  position: relative;
}
.comment_replies_holder .note_comment .comment_author_photo {
  left: 6px;
}
.comment_replies_holder .note_comment .comment_text_around {
  margin-left: 30px;
}
.note_comment.has_replies::after {
  content: "";
  display: block;
  position: absolute;
  width: 2px;
  background: #d7dbdd;
  left: 15px;
  top: 40px;
  bottom: 14px;
}

.note_comment .delete_comment_confirmation {
  position: absolute;
  right: 4px;
  bottom: 100%;
  margin-bottom: -7px;
  background: #f7f0b6;
  border: 1px solid #d5a223;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  color: #d5a223;
  font-weight: 400;
  padding: 10px;
  z-index: 100;
  border-radius: 3px;
  max-width: 200px;
  cursor: default;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  opacity: 0;
  visibility: hidden;
  -webkit-transform: translate(-5px, 30px) scale(0.7);
  -moz-transform: translate(-5px, 30px) scale(0.7);
  transform: translate(-5px, 30px) scale(0.7);
  -webkit-transform-origin: bottom right;
  -moz-transform-origin: bottom right;
  transform-origin: bottom right;
  -webkit-transition: 0.25s;
  -moz-transition: 0.25s;
  transition: 0.25s;
}
.note_comment.adjust_delete_top > .delete_comment_confirmation {
  bottom: auto;
  top: 4px;
  -webkit-transform: translate(-5px, -5px) scale(0.7);
  -moz-transform: translate(-5px, -5px) scale(0.7);
  transform: translate(-5px, -5px) scale(0.7);
  -webkit-transform-origin: top right;
  -moz-transform-origin: top right;
  transform-origin: top right;
}
.note_comment:not(.has_replies) .delete_comment_confirmation_threads {
  display: none;
}
.note_comment .delete_comment_confirm_yes {
  float: right;
  margin-top: 8px;
}
.note_comment.show_delete_confirmation > .delete_comment_confirmation {
  opacity: 1;
  visibility: visible;
  -webkit-transform: none !important;
  -moz-transform: none !important;
  transform: none !important;
}

.note_comment.deleting {
  max-height: 800px;
  -webkit-transform: scale(0.9);
  -moz-transform: scale(0.9);
  transform: scale(0.9);
  opacity: 0.6;
  -webkit-transition: 2s;
  -moz-transition: 2s;
  transition: 2s;
}
.note_comment.deleted {
  opacity: 0;
  max-height: 0;
  overflow: hidden;
  padding-top: 0;
  padding-bottom: 0;
  -webkit-transition: 0.4s;
  -moz-transition: 0.4s;
  transition: 0.4s;
}

.page_note .new_comment_form_holder {
  position: absolute;
  bottom: 0;
  padding: 6px;
  padding-bottom: 10px;
  background: #fff;
  left: 0;
  right: 0;
  z-index: 1000;
}
@media screen and (max-width: 700px) {
  .page_note .new_comment_form_holder {
    position: fixed;
    z-index: 5000;
    padding-bottom: 86px;
  }
  body:not(.note_single_page) .page_note .new_comment_form_holder {
    left: 10px;
    right: 10px;
  }
}
.isApp.browser-ios-true.touch .page_note .new_comment_form_holder {
  padding-bottom: calc(constant(safe-area-inset-bottom) + 10px);
  padding-bottom: calc(env(safe-area-inset-bottom) + 10px);
}
.page_note .new_comment_form_holder::before {
  content: "";
  display: block;
  position: absolute;
  height: 40px;
  left: 0;
  right: 0;
  bottom: 100%;
  background: -moz-linear-gradient(
    top,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 1) 100%
  ); /* FF3.6-15 */
  background: -webkit-linear-gradient(
    top,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 1) 100%
  ); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 1) 100%
  ); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffffff', endColorstr='#ffffff',GradientType=0 ); /* IE6-9 */
}
.page_note .new_comment_form_holder .replying_as_user {
  color: #384a5d;
  font-size: 13px;
  font-weight: 400;
  margin: 0 0 6px 8px;
}
.page_note .new_comment_form_holder .replying_as_user_name {
  font-weight: 600;
}
.page_note .new_comment_form_holder .replying_as_not_you {
  background: none;
  border: none;
  color: #5f6b6d;
  cursor: pointer;
  font-size: 12px;
  margin-left: 6px;
  padding: 0;
}
.page_note .new_comment_form_holder .replying_as_not_you:hover,
.page_note .new_comment_form_holder .replying_as_not_you.showing_tooltip {
  color: #278dc1;
  text-decoration: underline;
}
.fn_tooltip_wrapper.replying_as_not_you_tooltip {
  background: #eceff0;
  border-color: #bec3c7;
  color: #384a5d;
  width: 260px;
}
.fn_tooltip_wrapper.replying_as_not_you_tooltip:not(.hide_arrow)::after {
  border-bottom-color: #eceff0;
}
.fn_tooltip_wrapper.replying_as_not_you_tooltip:not(.hide_arrow)::before {
  border-bottom-color: #bec3c7;
}
.fn_tooltip_wrapper.replying_as_not_you_tooltip.above:not(.hide_arrow)::after {
  border-bottom-color: rgba(255, 255, 255, 0);
  border-top-color: #eceff0;
}
.fn_tooltip_wrapper.replying_as_not_you_tooltip.above:not(.hide_arrow)::before {
  border-bottom-color: rgba(255, 255, 255, 0);
  border-top-color: #bec3c7;
}
.fn_tooltip_wrapper.replying_as_not_you_tooltip .fn_tooltip {
  padding: 10px;
}
.fn_tooltip_wrapper.replying_as_not_you_tooltip .fn_tooltip_text {
  font-size: 12px;
  line-height: 16px;
}
.fn_tooltip_wrapper.replying_as_not_you_tooltip a {
  color: #15436a;
  font-weight: 600;
  text-decoration: underline;
}
.comments_holder
  .form_input_wrapper_type_checkbox.form_input_wrapper_name_private {
  position: absolute;
  margin-top: -20px;
  z-index: 500;
  margin-left: 3px;
  color: #828c8d;
}
.comments_holder
  .note_comment
  .form_input_type_contenteditable.form_input_name_text,
.comments_holder
  .new_comment_form_holder
  .form_input_type_contenteditable.form_input_name_text {
  padding-bottom: 20px;
}
.comments_holder.force_private_replies .form_input_wrapper_name_private,
.note_comment.private_comment .form_input_wrapper_name_private {
  display: none;
}
.comments_holder
  .new_comment_form_holder
  .form_input_type_contenteditable.form_input_name_text
  .form_input_type_contenteditable_inside {
  min-height: 40px;
  max-height: 130px;
  padding-right: 92px;
  overflow: auto;
}
.comments_holder
  .comments_container
  .form_input_type_contenteditable.form_input_name_text
  .form_input_type_contenteditable_inside {
  min-height: 20px;
  max-height: 90px;
  padding-right: 92px;
  overflow: auto;
}

.reply_box {
  position: relative;
  min-height: 16px;
  max-height: 16px;
  margin-right: 8px;
  overflow: hidden;
  -webkit-transition: max-height 0.4s;
  -moz-transition: max-height 0.4s;
  transition: max-height 0.4s;
}
.reply_box.show_reply_form {
  max-height: 134px;
}
.reply_link {
  font-size: 11px;
  color: #98a4a5;
  margin-left: 12px;
  cursor: pointer;
  position: absolute;
  -webkit-transition: 0.2s;
  -moz-transition: 0.2s;
  transition: 0.2s;
}
.reply_link .fa,
.reply_link .far {
  margin-right: 4px;
}
.reply_link:hover {
  color: #278dc1;
}
.reply_link:active {
  -webkit-transform: scale(0.8);
  -moz-transform: scale(0.8);
  transform: scale(0.8);
}
.reply_box.show_reply_form .reply_link {
  opacity: 0;
  visibility: hidden;
}
.reply_box .standard_form_wrapper {
  margin-top: 8px;
  margin-bottom: 6px;
  margin-left: 6px;
  opacity: 0;
  visibility: hidden;
  -webkit-transition: 0.4s;
  -moz-transition: 0.4s;
  transition: 0.4s;
}
.reply_box.show_reply_form .standard_form_wrapper {
  opacity: 1;
  visibility: visible;
}
.comments_holder .form_status_indicator {
  top: auto;
  bottom: 9px;
}

.user_photo_bg_color_1 {
  background-color: #278dc1 !important;
}
.user_photo_bg_color_2 {
  background-color: #278dc1 !important;
}
.user_photo_bg_color_3 {
  background-color: #13426b !important;
}
.user_photo_bg_color_4 {
  background-color: #24ce7b !important;
}
.user_photo_bg_color_5 {
  background-color: #24ce7b !important;
}
.user_photo_bg_color_6 {
  background-color: #1e5c37 !important;
}
.user_photo_bg_color_7 {
  background-color: #b34ec5 !important;
}
.user_photo_bg_color_8 {
  background-color: #8b169c !important;
}
.user_photo_bg_color_9 {
  background-color: #693065 !important;
}
.user_photo_bg_color_10 {
  background-color: #fad755 !important;
}
.user_photo_bg_color_11 {
  background-color: #fec524 !important;
}
.user_photo_bg_color_12 {
  background-color: #d7a306 !important;
}
.user_photo_bg_color_13 {
  background-color: #f59d00 !important;
}
.user_photo_bg_color_14 {
  background-color: #e87e04 !important;
}
.user_photo_bg_color_15 {
  background-color: #c56006 !important;
}
.user_photo_bg_color_16 {
  background-color: #f42434 !important;
}
.user_photo_bg_color_17 {
  background-color: #b4252d !important;
}
.user_photo_bg_color_18 {
  background-color: #802428 !important;
}
.user_photo_bg_color_19 {
  background-color: #384a5d !important;
}
.user_photo_bg_color_20 {
  background-color: #95e4d1 !important;
}
.user_photo_bg_color_21 {
  background-color: #4ea2c6 !important;
}

.comments_holder .form_input_wrapper .input_subtext {
  left: 6px;
  right: auto;
  font-size: 12px;
  margin-top: -22px;
  opacity: 1;
  visibility: visible;
  font-weight: 300;
  color: #828c8d;
}
.comments_holder .form_input_wrapper .input_subtext .fa,
.comments_holder .form_input_wrapper .input_subtext .far {
  margin-right: 6px;
}

.commentNoteNotificationPreferences {
  position: absolute;
  bottom: 0;
  right: 0;
  z-index: 200;
}
.cnnp_icon {
  position: absolute;
  width: 39px;
  height: 39px;
  border-radius: 39px;
  bottom: 8px;
  right: 8px;
  cursor: pointer;
  -webkit-transition: 0.2s;
  -moz-transition: 0.2s;
  transition: 0.2s;
}
.cnnp:not(.show_panel) .cnnp_icon:hover {
  background: rgba(0, 0, 0, 0.1);
}
.cnnp.show_panel .cnnp_icon {
  background: #8b169c;
}
.cnnp_icon .fa,
.cnnp_icon .far {
  position: absolute;
  width: 39px;
  height: 39px;
  top: 0;
  right: 0;
  cursor: pointer;
  text-align: center;
  font-size: 20px;
  line-height: 39px;
  color: #8b169c;
  display: none;
  -webkit-transition: 0.2s;
  -moz-transition: 0.2s;
  transition: 0.2s;
}
.cnnp_icon:active .fa {
  -webkit-transform: scale(0.9);
  -moz-transform: scale(0.9);
  transform: scale(0.9);
}
.cnnp.show_panel .cnnp_icon .fa,
.cnnp.show_panel .cnnp_icon .far {
  color: #fff;
}
.cnnp_level_1 .cnnp_icon .fa.cnnp_icon_level_1,
.cnnp_level_2 .cnnp_icon .fa.cnnp_icon_level_2,
.cnnp_level_3 .cnnp_icon .fa.cnnp_icon_level_3,
.cnnp_level_1 .cnnp_icon .far.cnnp_icon_level_1,
.cnnp_level_2 .cnnp_icon .far.cnnp_icon_level_2,
.cnnp_level_3 .cnnp_icon .far.cnnp_icon_level_3 {
  display: block;
}
.cnnp_form_holder {
  position: absolute;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  padding-bottom: 6px;
  right: -12px;
  border-radius: 3px;
  background: #fff;
  border: 1px solid #bec3c7;
  width: 260px;
  top: -6px;
  box-shadow: rgba(0, 0, 0, 0.1) 1px 2px 6px;
  opacity: 0;
  visibility: hidden;
  -webkit-transform: translate(-10px, -10px) scale(0.7);
  -moz-transform: translate(-10px, -10px) scale(0.7);
  transform: translate(-10px, -10px) scale(0.7);
  -webkit-transform-origin: top right;
  -moz-transform-origin: top right;
  transform-origin: top right;
  -webkit-transition: 0.25s;
  -moz-transition: 0.25s;
  transition: 0.25s;
  color: #15436a;
}
.commentNoteNotificationPreferences:not(.show_route_setting) .cnnp_form_holder {
  padding-top: 14px;
}
@media screen and (max-width: 880px) {
  .cnnp_form_holder {
    right: 6px;
    -webkit-transform: translate(-5px, -10px) scale(0.7);
    -moz-transform: translate(-5px, -10px) scale(0.7);
    transform: translate(-5px, -10px) scale(0.7);
  }
}
.cnnp.show_panel .cnnp_form_holder {
  opacity: 1;
  visibility: visible;
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  transform: scale(1);
}
.cnnp_form_holder::before {
  content: "";
  display: block;
  position: absolute;
  border: 8px solid rgba(255, 255, 255, 0);
  border-bottom: 8px solid #fff;
  right: 30px;
  bottom: 100%;
  margin-bottom: -1px;
  z-index: 2;
}
.show_route_setting .cnnp_form_holder::before {
  border-bottom: 8px solid #eceff0;
}
.cnnp_form_holder::after {
  content: "";
  display: block;
  position: absolute;
  border: 8px solid rgba(255, 255, 255, 0);
  border-bottom: 8px solid #bec3c7;
  right: 30px;
  bottom: 100%;
  z-index: 1;
}
@media screen and (max-width: 880px) {
  .cnnp_form_holder::before,
  .cnnp_form_holder::after {
    right: 12px;
  }
}
.cnnp .radio_option {
  line-height: 20px !important;
  font-size: 16px !important;
  margin-bottom: 8px;
}
.cnnp .radio_option_check {
  line-height: 20px !important;
}
.cnnp_form_holder .form_status_indicator {
  top: auto;
  bottom: 100%;
  margin-bottom: 22px;
  margin-right: 40px;
}
.show_route_setting .cnnp_form_holder .form_status_indicator {
  margin-bottom: 8px;
  margin-right: 54px;
}
.cnnp_route_text::before {
  content: "Email";
}
.cnnp_route_sms .cnnp_route_text::before {
  content: "Text";
}
.cnnp_route_text.cnnp_route_text_lowercase::before {
  text-transform: lowercase;
}
.cnnp_form_holder .form_input_wrapper_type_toggleMiddle {
  background: #eceff0;
  margin-bottom: 10px;
  border-top-right-radius: 3px;
  border-top-left-radius: 3px;
}
.cnnp_form_holder .radio_option {
  margin-right: 14px;
  margin-left: 2px;
}
.cnnp_form_holder .input_toggleMiddle_option.input_toggleMiddle_option1 {
  margin-top: -13px;
}
.cnnp_form_holder .input_toggleMiddle_option.input_toggleMiddle_option2 {
  font-size: 26px;
}
.comment_rtg_amount {
  padding: 0 8px;
  margin: 1px 5px 2px 0;
  border-radius: 6px;
  background: #00b44e;
  background-image: linear-gradient(135deg, #00b44e 0%, #24c37b 100%);
  border: 2px solid #00b44e;
  color: #fff;
  display: inline-block;
}
.comment_author_name .is_support_tag {
  background: rgb(1, 96, 153);
  color: #fff;
  text-transform: uppercase;
  font-size: 10px;
  font-weight: 400;
  padding: 2px 6px;
  flex-shrink: 0;
  white-space: nowrap;
  border-radius: 4px;
  margin-left: 4px;
  display: inline-block;
}
